<div class="row">
  <div class="col-lg-12">

    <ol class="breadcrumb">
      <li class="breadcrumb-item">
        <a routerLink="/" routerLinkActive="active">Tableau de Bord</a>
      </li>
      <li class="breadcrumb-item active">Depots</li>    </ol>
  </div>

</div>

<div class="row">
  <div class="col-md-6">
    <div class="card mb-3">
      <div class="card-header">Ajouter un nouveau Depot</div>
      <div class="card-body">
        <form #heroForm="ngForm" (ngSubmit)="saveDepot()">
          <div class="form-group">
            <div class="form-row">
              <div class="col-md-6">
                <label>Nom du Depot</label>
                <input class="form-control" type="text" placeholder="Nom du Depot" [(ngModel)]="depot.nameDepot" name="nameDepot">
              </div>
              <div class="col-md-6">
                <label>Autre information</label>
                <input class="form-control" name="1" type="text"  placeholder="Autre information">
              </div>
            </div>
          </div>
          <div class="form-group">
            <label>Adresse du Depot</label>
            <input class="form-control" name="coordinateDepot.adresse" type="text" placeholder="Adresse" [(ngModel)]="depot.coordinateDepot.adresse">
          </div>
          <div class="form-group">
            <div class="form-row">
              <div class="col-md-6">
                <label>Latitude</label>
                <input class="form-control" name="coordinateDepot.latitude" type="text" placeholder="Latitude" [(ngModel)]="depot.coordinateDepot.latitude">
              </div>
              <div class="col-md-6">
                <label>Longitude</label>
                <input class="form-control" name="coordinateDepot.longitude" type="text" placeholder="Longitude" [(ngModel)]="depot.coordinateDepot.longitude">
              </div>
            </div>
          </div>
          <input type="submit" class="btn btn-primary btn-block" value="Enregistrer">
        </form>
      </div>
    </div>
  </div>

  <div class="col-md-6">
    <div class="card">
      <agm-map [zoom]="12" [latitude]="depot.coordinateDepot.latitude" [longitude]="depot.coordinateDepot.longitude" style="height:400px;width: 100%;" (mapClick)="depotLocation($event)" >
        <agm-marker [latitude]="depot.coordinateDepot.latitude" [longitude]="depot.coordinateDepot.longitude" *ngIf="bol">
          <agm-info-window>{{depot.nameDepot}}</agm-info-window>
        </agm-marker>

      </agm-map>
    </div>
  </div>

</div>
